ON INIT {
	SETNAME [portable_containers_strongbox]
	SETMATERIAL METAL
	SETGROUP PROVISIONS
	SETSHADOW OFF
	SETSCALE 35
	COLLISION OFF
	TWEAK SKIN "fixinter_chest_metal1" "portable_containers/strongbox1_inv"
	TWEAK SKIN "fixinter_chest_metal2" "portable_containers/strongbox2_inv"
	INVENTORY CREATE
	INVENTORY SKIN "portable_containers/strongbox_inv"
	INVENTORY ADD portable_containers/empty_space/empty_space_3_3
	INVENTORY ADD portable_containers/empty_space/empty_space_2_3
	SET delete_1 ^last_spawned
	INVENTORY ADD portable_containers/empty_space/empty_space_1_3
	INVENTORY ADD portable_containers/empty_space/empty_space_2_3
	SET delete_2 ^last_spawned
	INVENTORY ADD portable_containers/empty_space/empty_space_1_3
	INVENTORY ADD portable_containers/empty_space/empty_space_2_2
	SET delete_3 ^last_spawned
	INVENTORY ADD portable_containers/empty_space/empty_space
	INVENTORY ADD portable_containers/empty_space/empty_space
	DESTROY ~delete_1~
	DESTROY ~delete_2~
	DESTROY ~delete_3~
	LOADANIM ACTION1 "chest_close"
	LOADANIM ACTION2 "chest_open"
ACCEPT
}

ON INVENTORY2_OPEN {
	SETINTERACTIVITY NONE
	PLAY "chestopen1"
	PLAYANIM ACTION2
	TIMERmove -m 1 1 GOSUB NEW_POS
	TIMERreturn -m 1 1 GOSUB ORIGINAL_POS
ACCEPT
}

>>NEW_POS
	SPAWN ITEM portable_containers/empty_space/empty_space SELF
	SET dummy ^last_spawned
	TELEPORT PLAYER
	MOVE 260 0 0
RETURN
 
>>ORIGINAL_POS
	TELEPORT ~dummy~
	DESTROY ~dummy~
RETURN

ON INVENTORY2_CLOSE {
	SETINTERACTIVITY YES
	PLAYANIM ACTION1
ACCEPT
}
