ON INIT {
	SETNAME [portable_containers_satchel]
	SETMATERIAL CLOTH
	SETGROUP PROVISIONS
	SETSHADOW OFF
	SETSCALE 70
	COLLISION OFF
	TWEAK SKIN "item_bedroll" "portable_containers/satchel_inv"
	INVENTORY CREATE
	INVENTORY SKIN "portable_containers/satchel_inv"
	INVENTORY ADD portable_containers/empty_space/empty_space_3_3
	INVENTORY ADD portable_containers/empty_space/empty_space_2_3
	SET delete_1 ^last_spawned
	INVENTORY ADD portable_containers/empty_space/empty_space_1_3
	INVENTORY ADD portable_containers/empty_space/empty_space_2_3
	SET delete_2 ^last_spawned
	INVENTORY ADD portable_containers/empty_space/empty_space_1_3
	INVENTORY ADD portable_containers/empty_space/empty_space_2_2
	SET delete_3 ^last_spawned
	INVENTORY ADD portable_containers/empty_space/empty_space
	INVENTORY ADD portable_containers/empty_space/empty_space
	DESTROY ~delete_1~
	DESTROY ~delete_2~
	DESTROY ~delete_3~
ACCEPT
}

ON INVENTORY2_OPEN {
	PLAY "bedroll"
	SETINTERACTIVITY NONE
	TIMERmove -m 1 1 GOSUB NEW_POS
	TIMERreturn -m 1 1 GOSUB ORIGINAL_POS
ACCEPT
}

>>NEW_POS
	SPAWN ITEM portable_containers/empty_space/empty_space SELF
	SET dummy ^last_spawned
	TELEPORT PLAYER
	MOVE 260 0 0
RETURN
 
>>ORIGINAL_POS
	TELEPORT ~dummy~
	DESTROY ~dummy~
RETURN

ON INVENTORY2_CLOSE {
	SETINTERACTIVITY YES
ACCEPT
}

